<div id="@name"></div>

<script>

document.addEventListener("DOMContentLoaded", function(event)
{

var elem = document.getElementById('@name');
var two = new Two({width: @width, height: @height}).appendTo(elem);

@{
rows_count = len(rows);
cell_height = height/rows_count;
cell_height_with_margin = cell_height - cell_margin;
y_cell_origin = height/(rows_count * 2);
y_cell = y_cell_origin;
}

@[for row in rows]

@{
cells_count = len(row['cells'])
cell_width = width / cells_count;
cell_width_with_margin = cell_width - cell_margin;
x_cell_origin = width/(cells_count * 2);
x_cell = x_cell_origin;
}

@[for cell in row['cells']]

@{
local_cell_color = cell['cell_color'] if 'cell_color' in cell else cell_color
local_cell_opacity = cell['cell_opacity'] if 'cell_opacity' in cell else cell_opacity
local_font_color = cell['font_color'] if 'font_color' in cell else font_color
}

var rect = two.makeRectangle(@x_cell, @y_cell, @cell_width_with_margin, @cell_height_with_margin);
rect.fill = '@local_cell_color';
rect.opacity = @local_cell_opacity;
rect.noStroke();

var text_cell = two.makeText("@cell['text']", @x_cell, @y_cell, {});
text_cell.family = '@font_family';
text_cell.size = '@font_size';
text_cell.weight = @font_weight;
text_cell.alignment = 'center';
text_cell.baseline = 'middle';
text_cell.fill = '@local_font_color';

@{
x_cell += cell_width
}

@[end for]

@{
y_cell += cell_height
}

@[end for]

two.update();

});
</script>
